Subject: bug#637: xpdf crashes the window manager

From: Mark Hindley <[email-masked]>
Date: Mon, 29 Nov 2021 10:37:47 +0000

Control: tags -1 debian

David,

On Sun, Nov 28, 2021 at 08:23:55AM +0100, David Haworth wrote:
> Package: xpdf
> Version: 3.04+git20211021-1
> Severity: normal
> 
> Dear Maintainer,
> 
> xpdf crashes the window manager when trying to scroll the table of contents
> in the left-hand pane. The crash happens both when dragging the slider
> and when using the scroll wheel of the mouse.
> 
> The crash happens with both of my window managers: blackbox and xfce.
> 
> The crash seems to be related to the content of the PDF file, or
> maybe the size. The RP2040 reference manual is the file where I
> discovered the problem, but there may be others:
> 
> https://datasheets.raspberrypi.com/rp2040/rp2040-datasheet.pdf
> 
> I've tried to reproduce the problem on my company laptop running
> debian unstable, also with both xfce and blackbox, but the crash
> doesn't happen there.

Thanks. Notwithstanding this, you should report this issue directly to
Debian. Devuan uses Debian's xpdf packages directly without recompilation.

A quick look at Debian's BTS shows both #996903 and #996832 which might be
similar.

I suggest you try to get a gdb trace and see if either of those bugs are related
and add you contribution there.

Thanks

Mark